// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      Mono Runtime Version: 2.0.50727.42
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace Circ.Frontend.GtkSharp {
    
    
    public partial class ConnectionDialog {
        
        private Gtk.Frame frame1;
        
        private Gtk.Alignment GtkAlignment;
        
        private Gtk.HBox hbox2;
        
        private Gtk.TreeView serverList;
        
        private Gtk.Alignment alignment1;
        
        private Gtk.Table table1;
        
        private Gtk.Entry entry3;
        
        private Gtk.Entry entry4;
        
        private Gtk.Entry entry5;
        
        private Gtk.Label label3;
        
        private Gtk.Label label4;
        
        private Gtk.Label label5;
        
        private Gtk.Label GtkLabel;
        
        private Gtk.Button button1;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize();
            // Widget Circ.Frontend.GtkSharp.ConnectionDialog
            this.Events = ((Gdk.EventMask)(256));
            this.Name = "Circ.Frontend.GtkSharp.ConnectionDialog";
            this.Title = Mono.Unix.Catalog.GetString("Connection au serveur...");
            this.WindowPosition = ((Gtk.WindowPosition)(4));
            this.HasSeparator = false;
            // Internal child Circ.Frontend.GtkSharp.ConnectionDialog.VBox
            Gtk.VBox w1 = this.VBox;
            w1.Events = ((Gdk.EventMask)(256));
            w1.Name = "dialog_VBox";
            w1.BorderWidth = ((uint)(2));
            // Container child dialog_VBox.Gtk.Box+BoxChild
            this.frame1 = new Gtk.Frame();
            this.frame1.Name = "frame1";
            this.frame1.ShadowType = ((Gtk.ShadowType)(0));
            this.frame1.LabelXalign = 0F;
            // Container child frame1.Gtk.Container+ContainerChild
            this.GtkAlignment = new Gtk.Alignment(0F, 0F, 1F, 1F);
            this.GtkAlignment.Name = "GtkAlignment";
            this.GtkAlignment.LeftPadding = ((uint)(12));
            // Container child GtkAlignment.Gtk.Container+ContainerChild
            this.hbox2 = new Gtk.HBox();
            this.hbox2.Name = "hbox2";
            this.hbox2.Spacing = 10;
            // Container child hbox2.Gtk.Box+BoxChild
            this.serverList = new Gtk.TreeView();
            this.serverList.WidthRequest = 133;
            this.serverList.HeightRequest = 235;
            this.serverList.Name = "serverList";
            this.hbox2.Add(this.serverList);
            Gtk.Box.BoxChild w2 = ((Gtk.Box.BoxChild)(this.hbox2[this.serverList]));
            w2.Position = 0;
            // Container child hbox2.Gtk.Box+BoxChild
            this.alignment1 = new Gtk.Alignment(0.5F, 0.5F, 1F, 1F);
            this.alignment1.Name = "alignment1";
            this.alignment1.LeftPadding = ((uint)(5));
            this.alignment1.TopPadding = ((uint)(43));
            this.alignment1.RightPadding = ((uint)(11));
            // Container child alignment1.Gtk.Container+ContainerChild
            this.table1 = new Gtk.Table(((uint)(3)), ((uint)(2)), false);
            this.table1.Name = "table1";
            this.table1.RowSpacing = ((uint)(15));
            this.table1.ColumnSpacing = ((uint)(6));
            // Container child table1.Gtk.Table+TableChild
            this.entry3 = new Gtk.Entry();
            this.entry3.Name = "entry3";
            this.entry3.IsEditable = true;
            this.entry3.InvisibleChar = '●';
            this.table1.Add(this.entry3);
            Gtk.Table.TableChild w3 = ((Gtk.Table.TableChild)(this.table1[this.entry3]));
            w3.RightAttach = ((uint)(2));
            w3.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.entry4 = new Gtk.Entry();
            this.entry4.Name = "entry4";
            this.entry4.IsEditable = true;
            this.entry4.InvisibleChar = '●';
            this.table1.Add(this.entry4);
            Gtk.Table.TableChild w4 = ((Gtk.Table.TableChild)(this.table1[this.entry4]));
            w4.TopAttach = ((uint)(1));
            w4.BottomAttach = ((uint)(2));
            w4.RightAttach = ((uint)(2));
            w4.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.entry5 = new Gtk.Entry();
            this.entry5.Name = "entry5";
            this.entry5.IsEditable = true;
            this.entry5.InvisibleChar = '●';
            this.table1.Add(this.entry5);
            Gtk.Table.TableChild w5 = ((Gtk.Table.TableChild)(this.table1[this.entry5]));
            w5.TopAttach = ((uint)(2));
            w5.BottomAttach = ((uint)(3));
            w5.RightAttach = ((uint)(2));
            w5.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.label3 = new Gtk.Label();
            this.label3.Name = "label3";
            this.label3.LabelProp = Mono.Unix.Catalog.GetString("Pseudo :");
            this.label3.Justify = ((Gtk.Justification)(1));
            this.table1.Add(this.label3);
            Gtk.Table.TableChild w6 = ((Gtk.Table.TableChild)(this.table1[this.label3]));
            w6.XOptions = ((Gtk.AttachOptions)(4));
            w6.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.label4 = new Gtk.Label();
            this.label4.Name = "label4";
            this.label4.LabelProp = Mono.Unix.Catalog.GetString("Nom réel : ");
            this.label4.Justify = ((Gtk.Justification)(1));
            this.table1.Add(this.label4);
            Gtk.Table.TableChild w7 = ((Gtk.Table.TableChild)(this.table1[this.label4]));
            w7.TopAttach = ((uint)(1));
            w7.BottomAttach = ((uint)(2));
            w7.XOptions = ((Gtk.AttachOptions)(4));
            w7.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table1.Gtk.Table+TableChild
            this.label5 = new Gtk.Label();
            this.label5.Name = "label5";
            this.label5.LabelProp = Mono.Unix.Catalog.GetString("Mot de passe :");
            this.label5.Justify = ((Gtk.Justification)(1));
            this.table1.Add(this.label5);
            Gtk.Table.TableChild w8 = ((Gtk.Table.TableChild)(this.table1[this.label5]));
            w8.TopAttach = ((uint)(2));
            w8.BottomAttach = ((uint)(3));
            w8.XOptions = ((Gtk.AttachOptions)(4));
            w8.YOptions = ((Gtk.AttachOptions)(4));
            this.alignment1.Add(this.table1);
            this.hbox2.Add(this.alignment1);
            Gtk.Box.BoxChild w10 = ((Gtk.Box.BoxChild)(this.hbox2[this.alignment1]));
            w10.Position = 1;
            this.GtkAlignment.Add(this.hbox2);
            this.frame1.Add(this.GtkAlignment);
            this.GtkLabel = new Gtk.Label();
            this.GtkLabel.Name = "GtkLabel";
            this.GtkLabel.LabelProp = Mono.Unix.Catalog.GetString("<b>Choose your servers</b>");
            this.GtkLabel.UseMarkup = true;
            this.frame1.LabelWidget = this.GtkLabel;
            w1.Add(this.frame1);
            Gtk.Box.BoxChild w13 = ((Gtk.Box.BoxChild)(w1[this.frame1]));
            w13.Position = 0;
            w13.Expand = false;
            w13.Fill = false;
            // Internal child Circ.Frontend.GtkSharp.ConnectionDialog.ActionArea
            Gtk.HButtonBox w14 = this.ActionArea;
            w14.Events = ((Gdk.EventMask)(256));
            w14.Name = "Circ.Frontend.GtkSharp.ConnectionDialog_ActionArea";
            w14.Spacing = 6;
            w14.BorderWidth = ((uint)(5));
            w14.LayoutStyle = ((Gtk.ButtonBoxStyle)(4));
            // Container child Circ.Frontend.GtkSharp.ConnectionDialog_ActionArea.Gtk.ButtonBox+ButtonBoxChild
            this.button1 = new Gtk.Button();
            this.button1.CanDefault = true;
            this.button1.Name = "button1";
            this.button1.UseStock = true;
            this.button1.UseUnderline = true;
            this.button1.Label = "gtk-apply";
            this.AddActionWidget(this.button1, -10);
            Gtk.ButtonBox.ButtonBoxChild w15 = ((Gtk.ButtonBox.ButtonBoxChild)(w14[this.button1]));
            w15.Expand = false;
            w15.Fill = false;
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.DefaultWidth = 543;
            this.DefaultHeight = 329;
            this.Show();
        }
    }
}
